Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.parse
Interface SchemaBuilder

    public interface SchemaBuilder

Field Summary
`static java.lang.String` | `INHERIT_NS`

Method Summary
`ParsedNameClass` | `annotate(ParsedNameClass nc, Annotations anno)`
`ParsedPattern` | `annotate(ParsedPattern p, Annotations anno)`
`ParsedNameClass` | `annotateAfter(ParsedNameClass nc, ParsedElementAnnotation e)`
`ParsedPattern` | `annotateAfter(ParsedPattern p, ParsedElementAnnotation e)`
`ParsedNameClass` | `commentAfter(ParsedNameClass nc, CommentList comments)`
`ParsedPattern` | `commentAfter(ParsedPattern p, CommentList comments)`
`Annotations` | `makeAnnotations(CommentList comments, Context context)`
`ParsedNameClass` | `makeAnyName(Location loc, Annotations anno)`
`ParsedNameClass` | `makeAnyName(ParsedNameClass except, Location loc, Annotations anno)` Caller must enforce constraints on except.
`ParsedPattern` | `makeAttribute(ParsedNameClass nc, ParsedPattern p, Location loc, Annotations anno)`
`ParsedNameClass` | `makeChoice(ParsedNameClass[] nameClasses, int nNameClasses, Location loc, Annotations anno)`
`ParsedPattern` | `makeChoice(ParsedPattern[] patterns, int nPatterns, Location loc, Annotations anno)`
`CommentList` | `makeCommentList()`
`DataPatternBuilder` | `makeDataPatternBuilder(java.lang.String datatypeLibrary, java.lang.String type, Location loc)`
`ParsedPattern` | `makeElement(ParsedNameClass nc, ParsedPattern p, Location loc, Annotations anno)`
`ElementAnnotationBuilder` | `makeElementAnnotationBuilder(java.lang.String ns, java.lang.String localName, java.lang.String prefix, Location loc, CommentList comments, Context context)`
`ParsedPattern` | `makeEmpty(Location loc, Annotations anno)`
`ParsedNameClass` | `makeErrorNameClass()`
`ParsedPattern` | `makeErrorPattern()`
`ParsedPattern` | `makeExternalRef(java.lang.String uri, java.lang.String ns, Scope scope, Location loc, Annotations anno)`
`Grammar` | `makeGrammar(Scope parent)`
`ParsedPattern` | `makeGroup(ParsedPattern[] patterns, int nPatterns, Location loc, Annotations anno)`
`ParsedPattern` | `makeInterleave(ParsedPattern[] patterns, int nPatterns, Location loc, Annotations anno)`
`ParsedPattern` | `makeList(ParsedPattern p, Location loc, Annotations anno)`
`Location` | `makeLocation(java.lang.String systemId, int lineNumber, int columnNumber)`
`ParsedPattern` | `makeMixed(ParsedPattern p, Location loc, Annotations anno)`
`ParsedNameClass` | `makeName(java.lang.String ns, java.lang.String localName, java.lang.String prefix, Location loc, Annotations anno)`
`ParsedPattern` | `makeNotAllowed(Location loc, Annotations anno)`
`ParsedNameClass` | `makeNsName(java.lang.String ns, Location loc, Annotations anno)`
`ParsedNameClass` | `makeNsName(java.lang.String ns, ParsedNameClass except, Location loc, Annotations anno)` Caller must enforce constraints on except.
`ParsedPattern` | `makeOneOrMore(ParsedPattern p, Location loc, Annotations anno)`
`ParsedPattern` | `makeOptional(ParsedPattern p, Location loc, Annotations anno)`
`ParsedPattern` | `makeText(Location loc, Annotations anno)`
`ParsedPattern` | `makeValue(java.lang.String datatypeLibrary, java.lang.String type, java.lang.String value, Context c, java.lang.String ns, Location loc, Annotations anno)`
`ParsedPattern` | `makeZeroOrMore(ParsedPattern p, Location loc, Annotations anno)`
`boolean` | `usesComments()`

Field Detail

### INHERIT_NS

    static final java.lang.String INHERIT_NS

Method Detail

### makeChoice

    ParsedPattern makeChoice(ParsedPattern[] patterns,
                             int nPatterns,
                             Location loc,
                             Annotations anno)
                             throws BuildException

  Throws:
    `BuildException`

### makeInterleave

    ParsedPattern makeInterleave(ParsedPattern[] patterns,
                                 int nPatterns,
                                 Location loc,
                                 Annotations anno)
                                 throws BuildException

  Throws:
    `BuildException`

### makeGroup

    ParsedPattern makeGroup(ParsedPattern[] patterns,
                            int nPatterns,
                            Location loc,
                            Annotations anno)
                            throws BuildException

  Throws:
    `BuildException`

### makeOneOrMore

    ParsedPattern makeOneOrMore(ParsedPattern p,
                                Location loc,
                                Annotations anno)
                                throws BuildException

  Throws:
    `BuildException`

### makeZeroOrMore

    ParsedPattern makeZeroOrMore(ParsedPattern p,
                                 Location loc,
                                 Annotations anno)
                                 throws BuildException

  Throws:
    `BuildException`

### makeOptional

    ParsedPattern makeOptional(ParsedPattern p,
                               Location loc,
                               Annotations anno)
                               throws BuildException

  Throws:
    `BuildException`

### makeList

    ParsedPattern makeList(ParsedPattern p,
                           Location loc,
                           Annotations anno)
                           throws BuildException

  Throws:
    `BuildException`

### makeMixed

    ParsedPattern makeMixed(ParsedPattern p,
                            Location loc,
                            Annotations anno)
                            throws BuildException

  Throws:
    `BuildException`

### makeEmpty

    ParsedPattern makeEmpty(Location loc,
                            Annotations anno)

### makeNotAllowed

    ParsedPattern makeNotAllowed(Location loc,
                                 Annotations anno)

### makeText

    ParsedPattern makeText(Location loc,
                           Annotations anno)

### makeAttribute

    ParsedPattern makeAttribute(ParsedNameClass nc,
                                ParsedPattern p,
                                Location loc,
                                Annotations anno)
                                throws BuildException

  Throws:
    `BuildException`

### makeElement

    ParsedPattern makeElement(ParsedNameClass nc,
                              ParsedPattern p,
                              Location loc,
                              Annotations anno)
                              throws BuildException

  Throws:
    `BuildException`

### makeDataPatternBuilder

    DataPatternBuilder makeDataPatternBuilder(java.lang.String datatypeLibrary,
                                              java.lang.String type,
                                              Location loc)
                                              throws BuildException

  Throws:
    `BuildException`

### makeValue

    ParsedPattern makeValue(java.lang.String datatypeLibrary,
                            java.lang.String type,
                            java.lang.String value,
                            Context c,
                            java.lang.String ns,
                            Location loc,
                            Annotations anno)
                            throws BuildException

  Throws:
    `BuildException`

### makeGrammar

    Grammar makeGrammar(Scope parent)

### annotate

    ParsedPattern annotate(ParsedPattern p,
                           Annotations anno)
                           throws BuildException

  Throws:
    `BuildException`

### annotate

    ParsedNameClass annotate(ParsedNameClass nc,
                             Annotations anno)
                             throws BuildException

  Throws:
    `BuildException`

### annotateAfter

    ParsedPattern annotateAfter(ParsedPattern p,
                                ParsedElementAnnotation e)
                                throws BuildException

  Throws:
    `BuildException`

### annotateAfter

    ParsedNameClass annotateAfter(ParsedNameClass nc,
                                  ParsedElementAnnotation e)
                                  throws BuildException

  Throws:
    `BuildException`

### commentAfter

    ParsedPattern commentAfter(ParsedPattern p,
                               CommentList comments)
                               throws BuildException

  Throws:
    `BuildException`

### commentAfter

    ParsedNameClass commentAfter(ParsedNameClass nc,
                                 CommentList comments)
                                 throws BuildException

  Throws:
    `BuildException`

### makeExternalRef

    ParsedPattern makeExternalRef(java.lang.String uri,
                                  java.lang.String ns,
                                  Scope scope,
                                  Location loc,
                                  Annotations anno)
                                  throws BuildException,
                                         IllegalSchemaException

  Throws:
    `BuildException`
    `IllegalSchemaException`

### makeChoice

    ParsedNameClass makeChoice(ParsedNameClass[] nameClasses,
                               int nNameClasses,
                               Location loc,
                               Annotations anno)

### makeName

    ParsedNameClass makeName(java.lang.String ns,
                             java.lang.String localName,
                             java.lang.String prefix,
                             Location loc,
                             Annotations anno)

### makeNsName

    ParsedNameClass makeNsName(java.lang.String ns,
                               Location loc,
                               Annotations anno)

### makeNsName

    ParsedNameClass makeNsName(java.lang.String ns,
                               ParsedNameClass except,
                               Location loc,
                               Annotations anno)

  Caller must enforce constraints on except.

### makeAnyName

    ParsedNameClass makeAnyName(Location loc,
                                Annotations anno)

### makeAnyName

    ParsedNameClass makeAnyName(ParsedNameClass except,
                                Location loc,
                                Annotations anno)

  Caller must enforce constraints on except.

### makeLocation

    Location makeLocation(java.lang.String systemId,
                          int lineNumber,
                          int columnNumber)

### makeAnnotations

    Annotations makeAnnotations(CommentList comments,
                                Context context)

### makeElementAnnotationBuilder

    ElementAnnotationBuilder makeElementAnnotationBuilder(java.lang.String ns,
                                                          java.lang.String localName,
                                                          java.lang.String prefix,
                                                          Location loc,
                                                          CommentList comments,
                                                          Context context)

### makeCommentList

    CommentList makeCommentList()

### makeErrorPattern

    ParsedPattern makeErrorPattern()

### makeErrorNameClass

    ParsedNameClass makeErrorNameClass()

### usesComments

    boolean usesComments()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD